Bug 143624 - Nautilus won't even attempt to connect to SMB servers
Nautilus won't even attempt to connect to SMB servers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-22 18:45 EST by Andrew D. Stadler
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: nautilus-2.14.1-1.fc5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 11:33:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew D. Stadler 2004-12-22 18:45:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
"Connect To Server" appears to be completely broken.

I have verified "normal" connectivity using command line tools e.g.
ftp and smbclient.  Both tools work properly, and examination with
Ethereal shows expected traffic patterns.

But when I launch "File Browser" and select "Connect To Server" and
enter what appear to be correct items, , I get absolute,
crickets-chirping silence.  No error message, no logging, no IP
traffic, and unfortunately, no access to my servers.

Example of SMB connection that works:
$ smbclient //192.168.7.13/public -U stadler -I 192.168.7.13

Trying to reproduce it with file browser:
Open File Browser and select File->Connect To Server
Service Type: Windows Share
Server:  192.168.7.13
Share:  public
User name: stadler
(begin packet capture with Ethereal)
click "Connect"

Other than any normal network traffic, you see...  nothing.

I can't tell if my parameters are broken, in which case the bug is
missing error messages & misleading UI;  Or if the nautilus->SMB code
is simply broken.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4

How reproducible:
Always

Steps to Reproduce:
1.  Verify connectivity to server using smbclient
2.  Verify failure with Naitilus using File Browser -> File -> Connect
To Server
3.
    

Additional info:

samba-3.0.10-1.fc3
This is with firewall off and SELinux disabled.
Comment 1 Need Real Name 2005-01-05 21:19:29 EST
I've seen similar behavior, with both FTP (with login) and SSH. Either
the Connect to Server immediately returns an error saying that it
can't make the connection, or the opening of the icon never results in
a password dialog or open window.

Both modes are fixed by killing Nautilus (restarts automatically). The
server connections work correctly.

Seen on an Athlon system and a dual Pentium 400.
Comment 2 Andrew D. Stadler 2006-05-22 18:17:39 EDT
Confirmed working well on FC5.
nautilus-2.14.1-1.fc5.1
Closed?
Comment 3 Matthew Miller 2006-07-10 18:42:11 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 Andrew D. Stadler 2006-07-11 11:33:51 EDT
Confirmed working well on FC5.
nautilus-2.14.1-1.fc5.1

Note You need to log in before you can comment on or make changes to this bug.